%define ircservices_user _ircservices
%define ircservices_group _ircservices
%define ircservices_home %_localstatedir/%name

Name: ircservices
Version: 5.0.63
Release: alt1

Summary: IRC Services is a system of services to be used with Internet Relay Chat networks
Group: Networking/IRC
License: GPL

Url: http://www.ircservices.esper.net
Source0: %name-%version.tar
Source1: %name.init
Source4: %name.logrotate

Patch0: %name-%version-%release.patch

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

%description
IRC Services (also called just "Services" for short) is a system of services to be used with Internet Relay Chat networks. Services provides for definitive nickname and channel ownership, as well as the ability to send messages ("memos") to offline users, and gives IRC operators considerably more control over the network.

%prep
%setup
%patch0 -p1

%build
./configure -cflags -fpic -bindest %buildroot%_bindir -datdest %buildroot%_libdir/%name
%make

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_libdir/%name
mkdir -p %buildroot%_localstatedir/%name
mkdir -p %buildroot%_logdir/%name
mkdir -p %buildroot%_var/run/%name

install -pD -m0755 %SOURCE1 %buildroot%_initdir/%name
install -pD -m0640 data/example-ircservices.conf %buildroot%_sysconfdir/%name/%name.conf
install -pD -m0640 data/example-modules.conf %buildroot%_sysconfdir/%name/modules.conf
install -pD -m0644 %SOURCE4 %buildroot%_sysconfdir/logrotate.d/%name

%makeinstall

# install hacks
find %buildroot%_libdir/%name -type d -print0 |xargs -0 chmod 0755
find %buildroot%_libdir/%name -type f -print0 |xargs -0 chmod 0644
chmod 0755 {%buildroot%_bindir/*,%buildroot%_libdir/%name/convert-db}
sed -i "s,%buildroot%_libdir/%name,%_var/run/%name,g" %buildroot%_bindir/%name-chk
sed -i "s,%buildroot,,g" %buildroot%_bindir/%name-chk

%pre
%_sbindir/groupadd -r %ircservices_group >/dev/null 2>&1 ||:
%_sbindir/useradd -M -r %ircservices_user -g %ircservices_group -s /dev/null \
	-c "irc services" -d %ircservices_home >/dev/null 2>&1 ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_bindir/*
%_libdir/%name
%config %_initdir/%name
%config(noreplace) %attr(0640,root,%ircservices_group) %_sysconfdir/%name/*.conf
%config(noreplace) %_sysconfdir/logrotate.d/%name
%dir %attr(1750,root,%ircservices_group) %_sysconfdir/%name
%dir %attr(1770,root,%ircservices_group) %_localstatedir/%name
%dir %attr(1770,root,%ircservices_group) %_logdir/%name
%dir %attr(1770,root,%ircservices_group) %_var/run/%name
%doc Changes KnownBugs README TODO WhatsNew docs

%changelog
* Fri Nov 30 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 5.0.63-alt1
- Security fix: CVE-2007-6122

* Thu Jul 13 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 5.0.58-alt1
- 5.0.58
- Don't use some macroses in spec

* Sat Nov 26 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 5.0.56-alt1
- New version
- Added forgotten %post and %preun

* Sat Nov 05 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 5.0.55-alt2
- Fixed directory permissions

* Sat Oct 22 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 5.0.55-alt1
- Initial build for Sisyphus (thanks to device@ for initial packaging)
